const path = require('path');
const log4js = require('log4js');
const config = require('config');
const common = require('./common');
const logConfig = config.get('logConfig');
const logFileName = logConfig.get('logFileName');

log4js.configure({

    appenders: {
        out: {
            type: 'stdout'
        },
        app: {
            type: 'file',
            filename: common.getDataPath() + path.sep + logFileName,
            maxLogSize: 100485760,
            backups: 10
        }
    },
    categories: { default: { appenders: ['out', 'app'], level: 'info' } }
});

module.exports = function (name) {
    return log4js.getLogger(name)
}